<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<definitions targetNamespace="http://ex.common.ossj/" name="VpnServiceService" xmlns:tns="http://ex.common.ossj/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <types>
    <xsd:schema>
      <xsd:import namespace="http://ex.common.ossj/" schemaLocation="VpnServiceService_schema1.xsd"/>
    </xsd:schema>
  </types>
  <message name="createMplsVpnServiceByValue">
    <part name="parameters" element="tns:createMplsVpnServiceByValue"/>
  </message>
  <message name="createMplsVpnServiceByValueResponse">
    <part name="parameters" element="tns:createMplsVpnServiceByValueResponse"/>
  </message>
  <message name="OssIllegalArgumentException">
    <part name="fault" element="tns:OssIllegalArgumentException"/>
  </message>
  <message name="DuplicateKeyException">
    <part name="fault" element="tns:DuplicateKeyException"/>
  </message>
  <message name="CreateException">
    <part name="fault" element="tns:CreateException"/>
  </message>
  <message name="getMplsVpnServiceByKey">
    <part name="parameters" element="tns:getMplsVpnServiceByKey"/>
  </message>
  <message name="getMplsVpnServiceByKeyResponse">
    <part name="parameters" element="tns:getMplsVpnServiceByKeyResponse"/>
  </message>
  <message name="ObjectNotFoundException">
    <part name="fault" element="tns:ObjectNotFoundException"/>
  </message>
  <message name="setMplsVpnServiceByValue">
    <part name="parameters" element="tns:setMplsVpnServiceByValue"/>
  </message>
  <message name="setMplsVpnServiceByValueResponse">
    <part name="parameters" element="tns:setMplsVpnServiceByValueResponse"/>
  </message>
  <message name="OssSetException">
    <part name="fault" element="tns:OssSetException"/>
  </message>
  <message name="OssResyncRequiredException">
    <part name="fault" element="tns:OssResyncRequiredException"/>
  </message>
  <portType name="VpnService">
    <operation name="createMplsVpnServiceByValue">
      <input message="tns:createMplsVpnServiceByValue"/>
      <output message="tns:createMplsVpnServiceByValueResponse"/>
      <fault name="OssIllegalArgumentException" message="tns:OssIllegalArgumentException"/>
      <fault name="DuplicateKeyException" message="tns:DuplicateKeyException"/>
      <fault name="CreateException" message="tns:CreateException"/>
    </operation>
    <operation name="getMplsVpnServiceByKey">
      <input message="tns:getMplsVpnServiceByKey"/>
      <output message="tns:getMplsVpnServiceByKeyResponse"/>
      <fault name="OssIllegalArgumentException" message="tns:OssIllegalArgumentException"/>
      <fault name="ObjectNotFoundException" message="tns:ObjectNotFoundException"/>
    </operation>
    <operation name="setMplsVpnServiceByValue">
      <input message="tns:setMplsVpnServiceByValue"/>
      <output message="tns:setMplsVpnServiceByValueResponse"/>
      <fault name="OssIllegalArgumentException" message="tns:OssIllegalArgumentException"/>
      <fault name="ObjectNotFoundException" message="tns:ObjectNotFoundException"/>
      <fault name="OssSetException" message="tns:OssSetException"/>
      <fault name="OssResyncRequiredException" message="tns:OssResyncRequiredException"/>
    </operation>
  </portType>
  <binding name="VpnServicePortBinding" type="tns:VpnService">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
    <operation name="createMplsVpnServiceByValue">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
      <fault name="OssIllegalArgumentException">
        <soap:fault name="OssIllegalArgumentException" use="literal"/>
      </fault>
      <fault name="DuplicateKeyException">
        <soap:fault name="DuplicateKeyException" use="literal"/>
      </fault>
      <fault name="CreateException">
        <soap:fault name="CreateException" use="literal"/>
      </fault>
    </operation>
    <operation name="getMplsVpnServiceByKey">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
      <fault name="OssIllegalArgumentException">
        <soap:fault name="OssIllegalArgumentException" use="literal"/>
      </fault>
      <fault name="ObjectNotFoundException">
        <soap:fault name="ObjectNotFoundException" use="literal"/>
      </fault>
    </operation>
    <operation name="setMplsVpnServiceByValue">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
      <fault name="OssIllegalArgumentException">
        <soap:fault name="OssIllegalArgumentException" use="literal"/>
      </fault>
      <fault name="ObjectNotFoundException">
        <soap:fault name="ObjectNotFoundException" use="literal"/>
      </fault>
      <fault name="OssSetException">
        <soap:fault name="OssSetException" use="literal"/>
      </fault>
      <fault name="OssResyncRequiredException">
        <soap:fault name="OssResyncRequiredException" use="literal"/>
      </fault>
    </operation>
  </binding>
  <service name="VpnServiceService">
    <port name="VpnServicePort" binding="tns:VpnServicePortBinding">
      <soap:address location="REPLACE_WITH_ACTUAL_URL"/>
    </port>
  </service>
</definitions>

